Qore Programming Language Reference Manual 0.8.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

All Classes Namespaces Functions Variables Groups Pages
Variables
File Seek Constants

## Variables
const | Qore::SEEK_CUR = SEEK_CUR
| Indicates that the offset is from the current position in the file.
const | Qore::SEEK_END = SEEK_END
| Indicates that the offset is from the end of the file.
const | Qore::SEEK_SET = SEEK_SET
| Indicates that the offset is from the start of the file.

## Detailed Description

These are the possible values for the `whence` parameter of the File::lock() and File::lockBlocking() methods